import { BehaviorSubject, Observable, Observer, Subject, Subscriber, Unsubscribable } from "rxjs";
import dotenv from 'dotenv';
import { AdapterProfile, AdaptorTransmissionRole, ConnectionAdaptorBase, ConnectionState, TransportEvent, TransportMessage } from "../interface/connector.interface";
import { Bus, FisAppActor, FisMessage } from "../interface/transport.interface";

dotenv.config();
/* This transport manager will be instantiating the necessary transport to deal with tranmission and receiving from different receivers
So how?: */
export class ConnectionAdapter implements ConnectionAdaptorBase {
    event!: Subject<TransportEvent>
    connector: any;
    connectorProfile!: AdapterProfile;
    connectionStateBus!: Subject<ConnectionState>;
    adaptorTransmissionRole!: AdaptorTransmissionRole;

    constructor() {
        //logic here
    }
    setAdapterProfile(adapterId: string): void {
        throw new Error("Method not implemented.")
    }
    getInfo(): AdapterProfile {
        throw new Error("Method not implemented.");
    }
    subscribeConnectionState(): Observable<ConnectionState> {
        throw new Error("Method not implemented.");
    }
    publishConnectionState(): void {
        throw new Error("Method not implemented.");
    }
    connect(): void {
        throw new Error("Method not implemented.");
    }
    disconnect(): void {
        throw new Error("Method not implemented.");
    }
    getMessageBus(bus: Bus): Observable<any> {
        throw new Error("Method not implemented.");
    }


}


