import { Observable, Subject } from "rxjs";
import { Transport, TransportEvent, TransportMessage, TransportService } from "../interface/connector.interface";

export class HttpTransportService implements TransportService {
    transportEvent: Subject<TransportEvent> = new Subject()
    getInfo(): Transport {
        throw new Error("Method not implemented.");
    }
    emit(message: TransportMessage): void {
        throw new Error("Method not implemented.");
    }
    subscribe(): Observable<TransportEvent> {
        throw new Error("Method not implemented.");
    }
    getTransportEventNotification(): Observable<TransportEvent> {
        throw new Error("Method not implemented.");
    }
    startServer(port: number): void {
        throw new Error("Method not implemented.");
    }
    getTransportEvent(): Observable<TransportEvent> {
        return this.transportEvent.asObservable()
    }



}